%define		major	7
%define		libname	%mklibname sndio %{major}
%define		devel	%mklibname sndio -d

Name:		sndio
Version:	1.10.0
Release:	%mkrel 3
Summary:	A sound library
Group:		Sound/Utilities
License:	ISC
URL:		https://sndio.org/
Source0:	https://sndio.org//%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(alsa)
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Requires:	%{libname} = %{version}-%{release}

%description
sndio is a sound library.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
These are libraries for %{name}.

%package -n	%{devel}
Summary:	This includes the development files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devel}
Here are the development files for %{name}.

%prep
%autosetup

%build
%set_build_flags
./configure \
--prefix=%{_prefix} \
--libdir=%{_libdir} \
--mandir=%{_mandir}

%make_build

%install
%make_install

# Install sndiod systemd service file
%__install -Dm 755 contrib/%{name}d.service %{buildroot}%{_unitdir}/%{name}d.service
%__install -Dm 644 contrib/default.%{name}d %{buildroot}%{_sysconfdir}/default/%{name}d

%pre
%_pre_useradd %{name}d /dev/null /bin/false
/usr/sbin/usermod -a -G audio %{name}d

%post
%_post_service	%{name}d

%preun
%preun_service	%{name}d

%postun
/usr/sbin/usermod -G %{name}d %{name}d
%_postun_userdel %{name}d

%files
%{_bindir}/aucat
%{_bindir}/midicat
%{_bindir}/sndio*
%{_mandir}/man*/*
%{_unitdir}/%{name}d.service
%{_sysconfdir}/default/%{name}d

%files -n	%{libname}
%{_libdir}/libsndio.so.%{major}{,.*}

%files -n	%{devel}
%{_libdir}/libsndio.so
%{_includedir}/sndio.h
%{_libdir}/pkgconfig/sndio.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.10.0-3.mga10
+ Revision: 2225488
- Mageia 10 Mass Rebuild

* Tue Aug 06 2024 daviddavid <daviddavid> 1.10.0-2.mga10
+ Revision: 2083852
- new version: 1.10.0

* Mon Sep 12 2022 neoclust <neoclust> 1.9.0-2.mga9
+ Revision: 1887448
- Obsolete libsndio7.0 too

* Tue Aug 09 2022 kekepower <kekepower> 1.9.0-1.mga9
+ Revision: 1876370
- Update to version 1.9.0

* Sat Mar 19 2022 umeabot <umeabot> 1.8.1-2.mga9
+ Revision: 1799577
- Mageia 9 Mass Rebuild

* Tue Aug 24 2021 kekepower <kekepower> 1.8.1-1.mga9
+ Revision: 1742467
- Update to version 1.8.1

* Wed May 26 2021 akien <akien> 1.8.0-4.mga9
+ Revision: 1728365
- Fix lib name, SONAME is 7 so lib should be libsndio7 (adds Obsoletes)

* Tue May 25 2021 kekepower <kekepower> 1.8.0-3.mga9
+ Revision: 1728092
- Fix library version

* Mon May 24 2021 kekepower <kekepower> 1.8.0-2.mga9
+ Revision: 1727703
- Bump rel for rebuild
- Update to version 1.8.0

* Fri Jul 24 2020 kekepower <kekepower> 1.7.0-1.mga8
+ Revision: 1608807
- Update to version 1.7.0
- New lib major is 7.1

* Sat Feb 15 2020 umeabot <umeabot> 1.6.0-2.mga8
+ Revision: 1527926
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Jul 27 2019 kekepower <kekepower> 1.6.0-1.mga8
+ Revision: 1424661
- Update to version 1.6.0

* Sat Nov 03 2018 kekepower <kekepower> 1.5.0-1.mga7
+ Revision: 1327794
- Update to version 1.5.0
- Update URL and Source0

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1301088
- Mageia 7 Mass Rebuild

* Tue Feb 27 2018 kekepower <kekepower> 1.4.0-1.mga7
+ Revision: 1205387
- Update to version 1.4.0
- Call /usr/sbin/usermod instead of an empty macro
- Adding and deleting user sndio
- Adding and deleting user sndio to group audio
- Update to version 1.4.0
- Enable the sndiod systemd service
- Added %%major and %%minor
- Fixed the file in %%libname to use major and minor
+ wally <wally>
- enable debug pkg build

* Sun Nov 12 2017 shlomif <shlomif> 1.2.0_2-2.mga7
+ Revision: 1177075
- Req fix (thanks to kekePower)

* Sun Nov 12 2017 shlomif <shlomif> 1.2.0_2-1.mga7
+ Revision: 1177045
- add group thanks to kekePower
- add group thanks to kekePower
- Patch with fixes from kekePower.
- import from kekePower - thanks


* Sat Nov 11 2017 Stig-Orjan Smelror <smelror@gmail.com> 1.2.0_2-1.mga7
- New package.
- This is needed to build Kodi 18
